request_resource
Prev | Resources Management | Next

## Name

request_resource — request and reserve an I/O or memory resource

## Synopsis

`int request_resource (` | struct resource * | root,
| struct resource * | new`)`;

## Arguments

`root`

  root resource descriptor

`new`

  resource descriptor desired by caller

## Description

Returns 0 for success, negative error code on error.

Prev | Up | Next
insert_resource | Home | release_resource